updated log api
[prss.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 @CPPCHECK_TRUE@am__append_1 = test-cppcheck.sh
81 subdir = tests
82 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
83         $(top_srcdir)/test-driver
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 mkinstalldirs = $(install_sh) -d
89 CONFIG_HEADER = $(top_builddir)/config.h
90 CONFIG_CLEAN_FILES =
91 CONFIG_CLEAN_VPATH_FILES =
92 AM_V_P = $(am__v_P_@AM_V@)
93 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
94 am__v_P_0 = false
95 am__v_P_1 = :
96 AM_V_GEN = $(am__v_GEN_@AM_V@)
97 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
98 am__v_GEN_0 = @echo "  GEN     " $@;
99 am__v_GEN_1 = 
100 AM_V_at = $(am__v_at_@AM_V@)
101 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
102 am__v_at_0 = @
103 am__v_at_1 = 
104 SOURCES =
105 DIST_SOURCES =
106 am__can_run_installinfo = \
107   case $$AM_UPDATE_INFO_DIR in \
108     n|no|NO) false;; \
109     *) (install-info --version) >/dev/null 2>&1;; \
110   esac
111 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
112 am__tty_colors_dummy = \
113   mgn= red= grn= lgn= blu= brg= std=; \
114   am__color_tests=no
115 am__tty_colors = { \
116   $(am__tty_colors_dummy); \
117   if test "X$(AM_COLOR_TESTS)" = Xno; then \
118     am__color_tests=no; \
119   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
120     am__color_tests=yes; \
121   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
122     am__color_tests=yes; \
123   fi; \
124   if test $$am__color_tests = yes; then \
125     red='\e[0;31m'; \
126     grn='\e[0;32m'; \
127     lgn='\e[1;32m'; \
128     blu='\e[1;34m'; \
129     mgn='\e[0;35m'; \
130     brg='\e[1m'; \
131     std='\e[m'; \
132   fi; \
133 }
134 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
135 am__vpath_adj = case $$p in \
136     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
137     *) f=$$p;; \
138   esac;
139 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
140 am__install_max = 40
141 am__nobase_strip_setup = \
142   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
143 am__nobase_strip = \
144   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
145 am__nobase_list = $(am__nobase_strip_setup); \
146   for p in $$list; do echo "$$p $$p"; done | \
147   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
148   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
149     if (++n[$$2] == $(am__install_max)) \
150       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
151     END { for (dir in files) print dir, files[dir] }'
152 am__base_list = \
153   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
154   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
155 am__uninstall_files_from_dir = { \
156   test -z "$$files" \
157     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
158     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
159          $(am__cd) "$$dir" && rm -f $$files; }; \
160   }
161 am__recheck_rx = ^[     ]*:recheck:[    ]*
162 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
163 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
164 # A command that, given a newline-separated list of test names on the
165 # standard input, print the name of the tests that are to be re-run
166 # upon "make recheck".
167 am__list_recheck_tests = $(AWK) '{ \
168   recheck = 1; \
169   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
170     { \
171       if (rc < 0) \
172         { \
173           if ((getline line2 < ($$0 ".log")) < 0) \
174             recheck = 0; \
175           break; \
176         } \
177       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
178         { \
179           recheck = 0; \
180           break; \
181         } \
182       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
183         { \
184           break; \
185         } \
186     }; \
187   if (recheck) \
188     print $$0; \
189   close ($$0 ".trs"); \
190   close ($$0 ".log"); \
191 }'
192 # A command that, given a newline-separated list of test names on the
193 # standard input, create the global log from their .trs and .log files.
194 am__create_global_log = $(AWK) ' \
195 function fatal(msg) \
196 { \
197   print "fatal: making $@: " msg | "cat >&2"; \
198   exit 1; \
199 } \
200 function rst_section(header) \
201 { \
202   print header; \
203   len = length(header); \
204   for (i = 1; i <= len; i = i + 1) \
205     printf "="; \
206   printf "\n\n"; \
207 } \
208 { \
209   copy_in_global_log = 1; \
210   global_test_result = "RUN"; \
211   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
212     { \
213       if (rc < 0) \
214          fatal("failed to read from " $$0 ".trs"); \
215       if (line ~ /$(am__global_test_result_rx)/) \
216         { \
217           sub("$(am__global_test_result_rx)", "", line); \
218           sub("[        ]*$$", "", line); \
219           global_test_result = line; \
220         } \
221       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
222         copy_in_global_log = 0; \
223     }; \
224   if (copy_in_global_log) \
225     { \
226       rst_section(global_test_result ": " $$0); \
227       while ((rc = (getline line < ($$0 ".log"))) != 0) \
228       { \
229         if (rc < 0) \
230           fatal("failed to read from " $$0 ".log"); \
231         print line; \
232       }; \
233       printf "\n"; \
234     }; \
235   close ($$0 ".trs"); \
236   close ($$0 ".log"); \
237 }'
238 # Restructured Text title.
239 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
240 # Solaris 10 'make', and several other traditional 'make' implementations,
241 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
242 # by disabling -e (using the XSI extension "set +e") if it's set.
243 am__sh_e_setup = case $$- in *e*) set +e;; esac
244 # Default flags passed to test drivers.
245 am__common_driver_flags = \
246   --color-tests "$$am__color_tests" \
247   --enable-hard-errors "$$am__enable_hard_errors" \
248   --expect-failure "$$am__expect_failure"
249 # To be inserted before the command running the test.  Creates the
250 # directory for the log if needed.  Stores in $dir the directory
251 # containing $f, in $tst the test, in $log the log.  Executes the
252 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
253 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
254 # will run the test scripts (or their associated LOG_COMPILER, if
255 # thy have one).
256 am__check_pre = \
257 $(am__sh_e_setup);                                      \
258 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
259 $(am__tty_colors);                                      \
260 srcdir=$(srcdir); export srcdir;                        \
261 case "$@" in                                            \
262   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
263     *) am__odir=.;;                                     \
264 esac;                                                   \
265 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
266   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
267 if test -f "./$$f"; then dir=./;                        \
268 elif test -f "$$f"; then dir=;                          \
269 else dir="$(srcdir)/"; fi;                              \
270 tst=$$dir$$f; log='$@';                                 \
271 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
272   am__enable_hard_errors=no;                            \
273 else                                                    \
274   am__enable_hard_errors=yes;                           \
275 fi;                                                     \
276 case " $(XFAIL_TESTS) " in                              \
277   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
278     am__expect_failure=yes;;                            \
279   *)                                                    \
280     am__expect_failure=no;;                             \
281 esac;                                                   \
282 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
283 # A shell command to get the names of the tests scripts with any registered
284 # extension removed (i.e., equivalently, the names of the test logs, with
285 # the '.log' extension removed).  The result is saved in the shell variable
286 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
287 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
288 # since that might cause problem with VPATH rewrites for suffix-less tests.
289 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
290 am__set_TESTS_bases = \
291   bases='$(TEST_LOGS)'; \
292   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
293   bases=`echo $$bases`
294 RECHECK_LOGS = $(TEST_LOGS)
295 AM_RECURSIVE_TARGETS = check recheck
296 TEST_SUITE_LOG = test-suite.log
297 TEST_EXTENSIONS = @EXEEXT@ .test
298 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
299 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
300 am__set_b = \
301   case '$@' in \
302     */*) \
303       case '$*' in \
304         */*) b='$*';; \
305           *) b=`echo '$@' | sed 's/\.log$$//'`; \
306        esac;; \
307     *) \
308       b='$*';; \
309   esac
310 am__test_logs1 = $(TESTS:=.log)
311 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
312 TEST_LOGS = $(am__test_logs2:.test.log=.log)
313 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
314 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
315         $(TEST_LOG_FLAGS)
316 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
317 ACLOCAL = @ACLOCAL@
318 AMTAR = @AMTAR@
319 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
320 AUTOCONF = @AUTOCONF@
321 AUTOHEADER = @AUTOHEADER@
322 AUTOMAKE = @AUTOMAKE@
323 AWK = @AWK@
324 CC = @CC@
325 CCDEPMODE = @CCDEPMODE@
326 CFLAGS = @CFLAGS@
327 CPP = @CPP@
328 CPPFLAGS = @CPPFLAGS@
329 CURL_CFLAGS = @CURL_CFLAGS@
330 CURL_LIBS = @CURL_LIBS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEPDIR = @DEPDIR@
334 ECHO_C = @ECHO_C@
335 ECHO_N = @ECHO_N@
336 ECHO_T = @ECHO_T@
337 EGREP = @EGREP@
338 EXEEXT = @EXEEXT@
339 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
340 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
341 GMSGFMT = @GMSGFMT@
342 GMSGFMT_015 = @GMSGFMT_015@
343 GREP = @GREP@
344 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
345 GTK_CFLAGS = @GTK_CFLAGS@
346 GTK_LIBS = @GTK_LIBS@
347 HAVE_CPPCHECK = @HAVE_CPPCHECK@
348 HELP2MAN = @HELP2MAN@
349 INSTALL = @INSTALL@
350 INSTALL_DATA = @INSTALL_DATA@
351 INSTALL_PROGRAM = @INSTALL_PROGRAM@
352 INSTALL_SCRIPT = @INSTALL_SCRIPT@
353 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
354 INTLLIBS = @INTLLIBS@
355 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
356 JSON_CFLAGS = @JSON_CFLAGS@
357 JSON_LIBS = @JSON_LIBS@
358 LDFLAGS = @LDFLAGS@
359 LIBICONV = @LIBICONV@
360 LIBINTL = @LIBINTL@
361 LIBOBJS = @LIBOBJS@
362 LIBS = @LIBS@
363 LTLIBICONV = @LTLIBICONV@
364 LTLIBINTL = @LTLIBINTL@
365 LTLIBOBJS = @LTLIBOBJS@
366 MAKEINFO = @MAKEINFO@
367 MKDIR_P = @MKDIR_P@
368 MSGFMT = @MSGFMT@
369 MSGFMT_015 = @MSGFMT_015@
370 MSGMERGE = @MSGMERGE@
371 OBJEXT = @OBJEXT@
372 PACKAGE = @PACKAGE@
373 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
374 PACKAGE_NAME = @PACKAGE_NAME@
375 PACKAGE_STRING = @PACKAGE_STRING@
376 PACKAGE_TARNAME = @PACKAGE_TARNAME@
377 PACKAGE_URL = @PACKAGE_URL@
378 PACKAGE_VERSION = @PACKAGE_VERSION@
379 PATH_SEPARATOR = @PATH_SEPARATOR@
380 PKG_CONFIG = @PKG_CONFIG@
381 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
382 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
383 POSUB = @POSUB@
384 PTHREAD_LIBS = @PTHREAD_LIBS@
385 SED = @SED@
386 SET_MAKE = @SET_MAKE@
387 SHELL = @SHELL@
388 STRIP = @STRIP@
389 USE_NLS = @USE_NLS@
390 VERSION = @VERSION@
391 WEBKIT_CFLAGS = @WEBKIT_CFLAGS@
392 WEBKIT_LIBS = @WEBKIT_LIBS@
393 X11_CFLAGS = @X11_CFLAGS@
394 X11_LIBS = @X11_LIBS@
395 XEXT_CFLAGS = @XEXT_CFLAGS@
396 XEXT_LIBS = @XEXT_LIBS@
397 XGETTEXT = @XGETTEXT@
398 XGETTEXT_015 = @XGETTEXT_015@
399 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
400 XMKMF = @XMKMF@
401 abs_builddir = @abs_builddir@
402 abs_srcdir = @abs_srcdir@
403 abs_top_builddir = @abs_top_builddir@
404 abs_top_srcdir = @abs_top_srcdir@
405 ac_ct_CC = @ac_ct_CC@
406 am__include = @am__include@
407 am__leading_dot = @am__leading_dot@
408 am__quote = @am__quote@
409 am__tar = @am__tar@
410 am__untar = @am__untar@
411 bindir = @bindir@
412 build = @build@
413 build_alias = @build_alias@
414 build_cpu = @build_cpu@
415 build_os = @build_os@
416 build_vendor = @build_vendor@
417 builddir = @builddir@
418 datadir = @datadir@
419 datarootdir = @datarootdir@
420 docdir = @docdir@
421 dvidir = @dvidir@
422 exec_prefix = @exec_prefix@
423 gsettingsschemadir = @gsettingsschemadir@
424 host = @host@
425 host_alias = @host_alias@
426 host_cpu = @host_cpu@
427 host_os = @host_os@
428 host_vendor = @host_vendor@
429 htmldir = @htmldir@
430 includedir = @includedir@
431 infodir = @infodir@
432 install_sh = @install_sh@
433 libdir = @libdir@
434 libexecdir = @libexecdir@
435 localedir = @localedir@
436 localstatedir = @localstatedir@
437 mandir = @mandir@
438 mkdir_p = @mkdir_p@
439 oldincludedir = @oldincludedir@
440 pdfdir = @pdfdir@
441 prefix = @prefix@
442 program_transform_name = @program_transform_name@
443 psdir = @psdir@
444 sbindir = @sbindir@
445 sharedstatedir = @sharedstatedir@
446 srcdir = @srcdir@
447 sysconfdir = @sysconfdir@
448 target_alias = @target_alias@
449 top_build_prefix = @top_build_prefix@
450 top_builddir = @top_builddir@
451 top_srcdir = @top_srcdir@
452 EXTRA_DIST = checkpatch.pl \
453         test-cppcheck.sh
454
455 TESTS = $(am__append_1)
456 all: all-am
457
458 .SUFFIXES:
459 .SUFFIXES: .log .test .test$(EXEEXT) .trs
460 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
461         @for dep in $?; do \
462           case '$(am__configure_deps)' in \
463             *$$dep*) \
464               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
465                 && { if test -f $@; then exit 0; else break; fi; }; \
466               exit 1;; \
467           esac; \
468         done; \
469         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
470         $(am__cd) $(top_srcdir) && \
471           $(AUTOMAKE) --gnu tests/Makefile
472 .PRECIOUS: Makefile
473 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
474         @case '$?' in \
475           *config.status*) \
476             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
477           *) \
478             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
479             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
480         esac;
481
482 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
483         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
484
485 $(top_srcdir)/configure:  $(am__configure_deps)
486         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
487 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
488         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
489 $(am__aclocal_m4_deps):
490 tags TAGS:
491
492 ctags CTAGS:
493
494 cscope cscopelist:
495
496
497 # Recover from deleted '.trs' file; this should ensure that
498 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
499 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
500 # to avoid problems with "make -n".
501 .log.trs:
502         rm -f $< $@
503         $(MAKE) $(AM_MAKEFLAGS) $<
504
505 # Leading 'am--fnord' is there to ensure the list of targets does not
506 # expand to empty, as could happen e.g. with make check TESTS=''.
507 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
508 am--force-recheck:
509         @:
510
511 $(TEST_SUITE_LOG): $(TEST_LOGS)
512         @$(am__set_TESTS_bases); \
513         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
514         redo_bases=`for i in $$bases; do \
515                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
516                     done`; \
517         if test -n "$$redo_bases"; then \
518           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
519           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
520           if $(am__make_dryrun); then :; else \
521             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
522           fi; \
523         fi; \
524         if test -n "$$am__remaking_logs"; then \
525           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
526                "recursion detected" >&2; \
527         else \
528           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
529         fi; \
530         if $(am__make_dryrun); then :; else \
531           st=0;  \
532           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
533           for i in $$redo_bases; do \
534             test -f $$i.trs && test -r $$i.trs \
535               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
536             test -f $$i.log && test -r $$i.log \
537               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
538           done; \
539           test $$st -eq 0 || exit 1; \
540         fi
541         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
542         ws='[   ]'; \
543         results=`for b in $$bases; do echo $$b.trs; done`; \
544         test -n "$$results" || results=/dev/null; \
545         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
546         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
547         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
548         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
549         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
550         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
551         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
552         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
553           success=true; \
554         else \
555           success=false; \
556         fi; \
557         br='==================='; br=$$br$$br$$br$$br; \
558         result_count () \
559         { \
560             if test x"$$1" = x"--maybe-color"; then \
561               maybe_colorize=yes; \
562             elif test x"$$1" = x"--no-color"; then \
563               maybe_colorize=no; \
564             else \
565               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
566             fi; \
567             shift; \
568             desc=$$1 count=$$2; \
569             if test $$maybe_colorize = yes && test $$count -gt 0; then \
570               color_start=$$3 color_end=$$std; \
571             else \
572               color_start= color_end=; \
573             fi; \
574             echo "$${color_start}# $$desc $$count$${color_end}"; \
575         }; \
576         create_testsuite_report () \
577         { \
578           result_count $$1 "TOTAL:" $$all   "$$brg"; \
579           result_count $$1 "PASS: " $$pass  "$$grn"; \
580           result_count $$1 "SKIP: " $$skip  "$$blu"; \
581           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
582           result_count $$1 "FAIL: " $$fail  "$$red"; \
583           result_count $$1 "XPASS:" $$xpass "$$red"; \
584           result_count $$1 "ERROR:" $$error "$$mgn"; \
585         }; \
586         {                                                               \
587           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
588             $(am__rst_title);                                           \
589           create_testsuite_report --no-color;                           \
590           echo;                                                         \
591           echo ".. contents:: :depth: 2";                               \
592           echo;                                                         \
593           for b in $$bases; do echo $$b; done                           \
594             | $(am__create_global_log);                                 \
595         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
596         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
597         if $$success; then                                              \
598           col="$$grn";                                                  \
599          else                                                           \
600           col="$$red";                                                  \
601           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
602         fi;                                                             \
603         echo "$${col}$$br$${std}";                                      \
604         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
605         echo "$${col}$$br$${std}";                                      \
606         create_testsuite_report --maybe-color;                          \
607         echo "$$col$$br$$std";                                          \
608         if $$success; then :; else                                      \
609           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
610           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
611             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
612           fi;                                                           \
613           echo "$$col$$br$$std";                                        \
614         fi;                                                             \
615         $$success || exit 1
616
617 check-TESTS:
618         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
619         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
620         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
621         @set +e; $(am__set_TESTS_bases); \
622         log_list=`for i in $$bases; do echo $$i.log; done`; \
623         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
624         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
625         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
626         exit $$?;
627 recheck: all 
628         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
629         @set +e; $(am__set_TESTS_bases); \
630         bases=`for i in $$bases; do echo $$i; done \
631                  | $(am__list_recheck_tests)` || exit 1; \
632         log_list=`for i in $$bases; do echo $$i.log; done`; \
633         log_list=`echo $$log_list`; \
634         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
635                 am__force_recheck=am--force-recheck \
636                 TEST_LOGS="$$log_list"; \
637         exit $$?
638 test-cppcheck.sh.log: test-cppcheck.sh
639         @p='test-cppcheck.sh'; \
640         b='test-cppcheck.sh'; \
641         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
642         --log-file $$b.log --trs-file $$b.trs \
643         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
644         "$$tst" $(AM_TESTS_FD_REDIRECT)
645 .test.log:
646         @p='$<'; \
647         $(am__set_b); \
648         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
649         --log-file $$b.log --trs-file $$b.trs \
650         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
651         "$$tst" $(AM_TESTS_FD_REDIRECT)
652 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
653 @am__EXEEXT_TRUE@       @p='$<'; \
654 @am__EXEEXT_TRUE@       $(am__set_b); \
655 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
656 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
657 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
658 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
659
660 distdir: $(DISTFILES)
661         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
662         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
663         list='$(DISTFILES)'; \
664           dist_files=`for file in $$list; do echo $$file; done | \
665           sed -e "s|^$$srcdirstrip/||;t" \
666               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
667         case $$dist_files in \
668           */*) $(MKDIR_P) `echo "$$dist_files" | \
669                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
670                            sort -u` ;; \
671         esac; \
672         for file in $$dist_files; do \
673           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
674           if test -d $$d/$$file; then \
675             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
676             if test -d "$(distdir)/$$file"; then \
677               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
678             fi; \
679             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
680               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
681               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
682             fi; \
683             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
684           else \
685             test -f "$(distdir)/$$file" \
686             || cp -p $$d/$$file "$(distdir)/$$file" \
687             || exit 1; \
688           fi; \
689         done
690 check-am: all-am
691         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
692 check: check-am
693 all-am: Makefile
694 installdirs:
695 install: install-am
696 install-exec: install-exec-am
697 install-data: install-data-am
698 uninstall: uninstall-am
699
700 install-am: all-am
701         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
702
703 installcheck: installcheck-am
704 install-strip:
705         if test -z '$(STRIP)'; then \
706           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
707             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
708               install; \
709         else \
710           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
711             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
712             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
713         fi
714 mostlyclean-generic:
715         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
716         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
717         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
718
719 clean-generic:
720
721 distclean-generic:
722         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
723         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
724
725 maintainer-clean-generic:
726         @echo "This command is intended for maintainers to use"
727         @echo "it deletes files that may require special tools to rebuild."
728 clean: clean-am
729
730 clean-am: clean-generic mostlyclean-am
731
732 distclean: distclean-am
733         -rm -f Makefile
734 distclean-am: clean-am distclean-generic
735
736 dvi: dvi-am
737
738 dvi-am:
739
740 html: html-am
741
742 html-am:
743
744 info: info-am
745
746 info-am:
747
748 install-data-am:
749
750 install-dvi: install-dvi-am
751
752 install-dvi-am:
753
754 install-exec-am:
755
756 install-html: install-html-am
757
758 install-html-am:
759
760 install-info: install-info-am
761
762 install-info-am:
763
764 install-man:
765
766 install-pdf: install-pdf-am
767
768 install-pdf-am:
769
770 install-ps: install-ps-am
771
772 install-ps-am:
773
774 installcheck-am:
775
776 maintainer-clean: maintainer-clean-am
777         -rm -f Makefile
778 maintainer-clean-am: distclean-am maintainer-clean-generic
779
780 mostlyclean: mostlyclean-am
781
782 mostlyclean-am: mostlyclean-generic
783
784 pdf: pdf-am
785
786 pdf-am:
787
788 ps: ps-am
789
790 ps-am:
791
792 uninstall-am:
793
794 .MAKE: check-am install-am install-strip
795
796 .PHONY: all all-am check check-TESTS check-am check-local clean \
797         clean-generic cscopelist-am ctags-am distclean \
798         distclean-generic distdir dvi dvi-am html html-am info info-am \
799         install install-am install-data install-data-am install-dvi \
800         install-dvi-am install-exec install-exec-am install-html \
801         install-html-am install-info install-info-am install-man \
802         install-pdf install-pdf-am install-ps install-ps-am \
803         install-strip installcheck installcheck-am installdirs \
804         maintainer-clean maintainer-clean-generic mostlyclean \
805         mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
806         uninstall uninstall-am
807
808 check-local: checkpatch.pl
809         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
810         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
811
812 # Tell versions [3.59,3.63) of GNU make to not export all variables.
813 # Otherwise a system limit (for SysV at least) may be exceeded.
814 .NOEXPORT: